summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2023-06-17 17:51:23 +0100
committerSam James <sam@gentoo.org>2023-06-17 17:51:56 +0100
commitc7cd3be059f221c6333980f155c1bafca9769ed0 (patch)
tree6e1879caf26a25ddb1b672f0dcb59e9524018ddb /eclass
parentkde-misc/kdeconnect: Add missing DEPEND (diff)
downloadgentoo-c7cd3be059f221c6333980f155c1bafca9769ed0.tar.gz
gentoo-c7cd3be059f221c6333980f155c1bafca9769ed0.tar.bz2
gentoo-c7cd3be059f221c6333980f155c1bafca9769ed0.zip
toolchain.eclass: fix USE=doc build
Thanks to Dirk Sondermann for pointing out the precise issue. Closes: https://bugs.gentoo.org/908550 Fixes: a606b978be638005c9b832a733d087dbc97ae6d0 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 3013e5c9aeca..51b28b380584 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1687,8 +1687,8 @@ gcc_do_make() {
if ! is_crosscompile && _tc_use_if_iuse cxx && _tc_use_if_iuse doc ; then
if type -p doxygen > /dev/null ; then
- cd "${CTARGET}"/libstdc++-v3/doc
- emake -C "${CTARGET}"/libstdc++-v3/doc doc-man-doxygen
+ cd "${CTARGET}"/libstdc++-v3/doc || die
+ emake doc-man-doxygen
# Clean bogus manpages. bug #113902
find -name '*_build_*' -delete